// CHECKSTYLE:OFF

package com.cloudbees.plugins.deployer;

import org.jvnet.localizer.Localizable;
import org.jvnet.localizer.ResourceBundleHolder;
import org.kohsuke.accmod.Restricted;


/**
 * Generated localization support class.
 * 
 */
@SuppressWarnings({
    "",
    "PMD",
    "all"
})
@Restricted(org.kohsuke.accmod.restrictions.NoExternalUse.class)
public class Messages {

    /**
     * The resource bundle reference
     * 
     */
    private final static ResourceBundleHolder holder = ResourceBundleHolder.get(Messages.class);

    /**
     * Key {@code DeployNowSlave.NodeDescription}: {@code Node specifically
     * for handling Deploy Now tasks}.
     * 
     * @return
     *     {@code Node specifically for handling Deploy Now tasks}
     */
    public static String DeployNowSlave_NodeDescription() {
        return holder.format("DeployNowSlave.NodeDescription");
    }

    /**
     * Key {@code DeployNowSlave.NodeDescription}: {@code Node specifically
     * for handling Deploy Now tasks}.
     * 
     * @return
     *     {@code Node specifically for handling Deploy Now tasks}
     */
    public static Localizable _DeployNowSlave_NodeDescription() {
        return new Localizable(holder, "DeployNowSlave.NodeDescription");
    }

    /**
     * Key {@code DeployNowProjectAction.DisplayName}: {@code Deploy Now}.
     * 
     * @return
     *     {@code Deploy Now}
     */
    public static String DeployNowProjectAction_DisplayName() {
        return holder.format("DeployNowProjectAction.DisplayName");
    }

    /**
     * Key {@code DeployNowProjectAction.DisplayName}: {@code Deploy Now}.
     * 
     * @return
     *     {@code Deploy Now}
     */
    public static Localizable _DeployNowProjectAction_DisplayName() {
        return new Localizable(holder, "DeployNowProjectAction.DisplayName");
    }

    /**
     * Key {@code DeployPublisher.DisplayName}: {@code Deploy applications}.
     * 
     * @return
     *     {@code Deploy applications}
     */
    public static String DeployPublisher_DisplayName() {
        return holder.format("DeployPublisher.DisplayName");
    }

    /**
     * Key {@code DeployPublisher.DisplayName}: {@code Deploy applications}.
     * 
     * @return
     *     {@code Deploy applications}
     */
    public static Localizable _DeployPublisher_DisplayName() {
        return new Localizable(holder, "DeployPublisher.DisplayName");
    }

    /**
     * Key {@code DeployNowColumn.DisplayName}: {@code Deploy Now}.
     * 
     * @return
     *     {@code Deploy Now}
     */
    public static String DeployNowColumn_DisplayName() {
        return holder.format("DeployNowColumn.DisplayName");
    }

    /**
     * Key {@code DeployNowColumn.DisplayName}: {@code Deploy Now}.
     * 
     * @return
     *     {@code Deploy Now}
     */
    public static Localizable _DeployNowColumn_DisplayName() {
        return new Localizable(holder, "DeployNowColumn.DisplayName");
    }

    /**
     * Key {@code DeployNowRunAction.DisplayName}: {@code Deploy Now}.
     * 
     * @return
     *     {@code Deploy Now}
     */
    public static String DeployNowRunAction_DisplayName() {
        return holder.format("DeployNowRunAction.DisplayName");
    }

    /**
     * Key {@code DeployNowRunAction.DisplayName}: {@code Deploy Now}.
     * 
     * @return
     *     {@code Deploy Now}
     */
    public static Localizable _DeployNowRunAction_DisplayName() {
        return new Localizable(holder, "DeployNowRunAction.DisplayName");
    }

    /**
     * Key {@code DeployNowJobProperty.DisplayName}: {@code Deploy Now
     * defaults}.
     * 
     * @return
     *     {@code Deploy Now defaults}
     */
    public static String DeployNowJobProperty_DisplayName() {
        return holder.format("DeployNowJobProperty.DisplayName");
    }

    /**
     * Key {@code DeployNowJobProperty.DisplayName}: {@code Deploy Now
     * defaults}.
     * 
     * @return
     *     {@code Deploy Now defaults}
     */
    public static Localizable _DeployNowJobProperty_DisplayName() {
        return new Localizable(holder, "DeployNowJobProperty.DisplayName");
    }

    /**
     * Key {@code DeployNowRunAction.PermissionGroup}: {@code Deploy Now}.
     * 
     * @return
     *     {@code Deploy Now}
     */
    public static String DeployNowRunAction_PermissionGroup() {
        return holder.format("DeployNowRunAction.PermissionGroup");
    }

    /**
     * Key {@code DeployNowRunAction.PermissionGroup}: {@code Deploy Now}.
     * 
     * @return
     *     {@code Deploy Now}
     */
    public static Localizable _DeployNowRunAction_PermissionGroup() {
        return new Localizable(holder, "DeployNowRunAction.PermissionGroup");
    }

    /**
     * Key {@code DeployBuilder.DisplayName}: {@code Deploy applications}.
     * 
     * @return
     *     {@code Deploy applications}
     */
    public static String DeployBuilder_DisplayName() {
        return holder.format("DeployBuilder.DisplayName");
    }

    /**
     * Key {@code DeployBuilder.DisplayName}: {@code Deploy applications}.
     * 
     * @return
     *     {@code Deploy applications}
     */
    public static Localizable _DeployBuilder_DisplayName() {
        return new Localizable(holder, "DeployBuilder.DisplayName");
    }

    /**
     * Key {@code DeployNowSlave.NodeName}: {@code Deploy Now}.
     * 
     * @return
     *     {@code Deploy Now}
     */
    public static String DeployNowSlave_NodeName() {
        return holder.format("DeployNowSlave.NodeName");
    }

    /**
     * Key {@code DeployNowSlave.NodeName}: {@code Deploy Now}.
     * 
     * @return
     *     {@code Deploy Now}
     */
    public static Localizable _DeployNowSlave_NodeName() {
        return new Localizable(holder, "DeployNowSlave.NodeName");
    }

    /**
     * Key {@code DeployNowRunAction.BuildAborted}: {@code Build was
     * aborted}.
     * 
     * @return
     *     {@code Build was aborted}
     */
    public static String DeployNowRunAction_BuildAborted() {
        return holder.format("DeployNowRunAction.BuildAborted");
    }

    /**
     * Key {@code DeployNowRunAction.BuildAborted}: {@code Build was
     * aborted}.
     * 
     * @return
     *     {@code Build was aborted}
     */
    public static Localizable _DeployNowRunAction_BuildAborted() {
        return new Localizable(holder, "DeployNowRunAction.BuildAborted");
    }

    /**
     * Key {@code DeployNowCause.ShortDescription}: {@code Deployment
     * requested on {0,date,long} at {0,time,long}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, a {@link java.util.Date}.
     * @return
     *     {@code Deployment requested on {0,date,long} at {0,time,long}}
     */
    public static String DeployNowCause_ShortDescription(Object arg0) {
        return holder.format("DeployNowCause.ShortDescription", arg0);
    }

    /**
     * Key {@code DeployNowCause.ShortDescription}: {@code Deployment
     * requested on {0,date,long} at {0,time,long}}.
     * 
     * @param arg0
     *      1st format parameter, {@code {0}}, a {@link java.util.Date}.
     * @return
     *     {@code Deployment requested on {0,date,long} at {0,time,long}}
     */
    public static Localizable _DeployNowCause_ShortDescription(Object arg0) {
        return new Localizable(holder, "DeployNowCause.ShortDescription", arg0);
    }

    /**
     * Key {@code DeployNowSlave.OnlyAcceptsDeployNowTasks}: {@code This node
     * only accepts Deploy Now tasks}.
     * 
     * @return
     *     {@code This node only accepts Deploy Now tasks}
     */
    public static String DeployNowSlave_OnlyAcceptsDeployNowTasks() {
        return holder.format("DeployNowSlave.OnlyAcceptsDeployNowTasks");
    }

    /**
     * Key {@code DeployNowSlave.OnlyAcceptsDeployNowTasks}: {@code This node
     * only accepts Deploy Now tasks}.
     * 
     * @return
     *     {@code This node only accepts Deploy Now tasks}
     */
    public static Localizable _DeployNowSlave_OnlyAcceptsDeployNowTasks() {
        return new Localizable(holder, "DeployNowSlave.OnlyAcceptsDeployNowTasks");
    }

}
